Bug 1027013 - [abrt] system-config-printer-libs-1.4.2-1.fc19: dlmmap_locked: Process /usr/bin/python2.7 was killed by signal 7 (SIGBUS)
[abrt] system-config-printer-libs-1.4.2-1.fc19: dlmmap_locked: Process /usr/b...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: pygobject3 (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: John (J5) Palmieri
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:7636bb87f94de4ed90ab28f666a...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-05 17:05 EST by thraex
Modified: 2015-02-17 14:05 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 14:05:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (38.28 KB, text/plain)
2013-11-05 17:05 EST, thraex
no flags Details
File: cgroup (141 bytes, text/plain)
2013-11-05 17:05 EST, thraex
no flags Details
File: core_backtrace (10.68 KB, text/plain)
2013-11-05 17:05 EST, thraex
no flags Details
File: dso_list (13.82 KB, text/plain)
2013-11-05 17:05 EST, thraex
no flags Details
File: environ (993 bytes, text/plain)
2013-11-05 17:05 EST, thraex
no flags Details
File: exploitable (82 bytes, text/plain)
2013-11-05 17:05 EST, thraex
no flags Details
File: limits (1.29 KB, text/plain)
2013-11-05 17:06 EST, thraex
no flags Details
File: maps (58.74 KB, text/plain)
2013-11-05 17:06 EST, thraex
no flags Details
File: open_fds (271 bytes, text/plain)
2013-11-05 17:06 EST, thraex
no flags Details
File: proc_pid_status (941 bytes, text/plain)
2013-11-05 17:06 EST, thraex
no flags Details

  None (edit)
Description thraex 2013-11-05 17:05:25 EST
Description of problem:
This happened after I tried to print a huge document from LibreOffice (342,8 MB, 545 pages).

Version-Release number of selected component:
system-config-printer-libs-1.4.2-1.fc19

Additional info:
reporter:       libreport-2.1.9
backtrace_rating: 4
cmdline:        /usr/bin/python /usr/share/system-config-printer/scp-dbus-service.py
crash_function: dlmmap_locked
executable:     /usr/bin/python2.7
kernel:         3.11.6-200.fc19.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000
var_log_messages: Nov  5 22:58:14 localhost abrt-hook-ccpp[24876]: Saved core dump of pid 24873 (/usr/bin/python2.7) to /var/tmp/abrt/ccpp-2013-11-05-22:58:14-24873 (16879616 bytes)

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 dlmmap_locked at ../src/closures.c:460
 #1 dlmmap at ../src/closures.c:506
 #2 sys_alloc at ../src/dlmalloc.c:3515
 #3 dlmalloc at ../src/dlmalloc.c:4245
 #4 ffi_closure_alloc at ../src/closures.c:572
 #5 g_callable_info_prepare_closure at girepository/girffi.c:365
 #6 _pygi_make_native_closure at pygi-closure.c:637
 #7 _pygi_marshal_from_py_interface_callback at pygi-marshal-from-py.c:1473
 #8 _invoke_marshal_in_args at pygi-invoke.c:515
 #9 pygi_callable_info_invoke at pygi-invoke.c:659

Potential duplicate: bug 812178
Comment 1 thraex 2013-11-05 17:05:34 EST
Created attachment 820036 [details]
File: backtrace
Comment 2 thraex 2013-11-05 17:05:38 EST
Created attachment 820037 [details]
File: cgroup
Comment 3 thraex 2013-11-05 17:05:42 EST
Created attachment 820038 [details]
File: core_backtrace
Comment 4 thraex 2013-11-05 17:05:47 EST
Created attachment 820039 [details]
File: dso_list
Comment 5 thraex 2013-11-05 17:05:50 EST
Created attachment 820040 [details]
File: environ
Comment 6 thraex 2013-11-05 17:05:55 EST
Created attachment 820041 [details]
File: exploitable
Comment 7 thraex 2013-11-05 17:06:00 EST
Created attachment 820042 [details]
File: limits
Comment 8 thraex 2013-11-05 17:06:04 EST
Created attachment 820043 [details]
File: maps
Comment 9 thraex 2013-11-05 17:06:08 EST
Created attachment 820044 [details]
File: open_fds
Comment 10 thraex 2013-11-05 17:06:11 EST
Created attachment 820045 [details]
File: proc_pid_status
Comment 11 Jiri Popelka 2013-11-06 06:14:15 EST
No idea what happened here, there are pygobject3-base, gobject-introspection and libffi involved. Let's pass this to pygobject3.

(In reply to thraex from comment #0)
> Truncated backtrace:
> Thread no. 1 (10 frames)
>  #0 dlmmap_locked at ../src/closures.c:460
>  #1 dlmmap at ../src/closures.c:506
>  #2 sys_alloc at ../src/dlmalloc.c:3515
>  #3 dlmalloc at ../src/dlmalloc.c:4245
>  #4 ffi_closure_alloc at ../src/closures.c:572

libffi

>  #5 g_callable_info_prepare_closure at girepository/girffi.c:365

gobject-introspection

>  #6 _pygi_make_native_closure at pygi-closure.c:637
>  #7 _pygi_marshal_from_py_interface_callback at pygi-marshal-from-py.c:1473
>  #8 _invoke_marshal_in_args at pygi-invoke.c:515
>  #9 pygi_callable_info_invoke at pygi-invoke.c:659

pygobject3-base
Comment 12 Fedora End Of Life 2015-01-09 15:28:58 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 13 Fedora End Of Life 2015-02-17 14:05:01 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.